class VectorModel:
    x: float
    y: float
    z: float

    def __init__(self, cadVector) -> None:
        self.x = cadVector[0]
        self.y = cadVector[1]
        self.z = cadVector[2]
        pass

    def toFreeCadVector(self):
        import FreeCAD as App

        return App.Vector(self.x, self.y, self.z)

    def toString(self):
        return str("x:" + str(self.x) + "y:" + str(self.y) + "z:" + str(self.z))
